/* Copyright (C) 2007 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#ifndef __COMMAND_LIST_H__
#define __COMMAND_LIST_H__

#include <QLineEdit>
#include <QListWidget>
#include "basewidget.h"
#include "config.h"

/** Builds windows with List of entered commands.
 * 
 */

class CommandList:public BaseWidget
{
	Q_OBJECT
	private:
	QListWidget *list;
	QLineEdit *lineEdit;
	public:
	CommandList( QWidget * parent = 0 );
	void setLineEdit(QLineEdit *lineEdit);
	public slots:
	void set_list(QStringList list);
	void itemClicked ( QListWidgetItem * item );
};


#endif
